Show / Hide Table of Contents

# Class ASTGauge

In-memory AST job gauge.

##### Inheritance

System.Object
JobGaugeBase
JobGaugeBase<AstrologianGauge>
ASTGauge

##### Inherited Members

JobGaugeBase.Address
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Dalamud.Game.ClientState.JobGauge.Types

###### Assembly: Dalamud.dll

##### Syntax

    public class ASTGauge : JobGaugeBase<AstrologianGauge>

### Properties

| Improve this Doc View Source

#### DrawnCard

Gets the currently drawn CardType.

##### Declaration

    public CardType DrawnCard { get; }

##### Property Value

Type | Description
--- | ---
CardType | Currently drawn CardType.

| Improve this Doc View Source

#### DrawnCrownCard

Gets the currently drawn crown CardType.

##### Declaration

    public CardType DrawnCrownCard { get; }

##### Property Value

Type | Description
--- | ---
CardType | Currently drawn crown CardType.

| Improve this Doc View Source

#### Seals

Gets the SealTypes currently active.

##### Declaration

    public SealType[] Seals { get; }

##### Property Value

Type | Description
--- | ---
SealType[] |

### Methods

| Improve this Doc View Source

#### ContainsSeal(SealType)

Check if a SealType is currently active on the divination gauge.

##### Declaration

    public bool ContainsSeal(SealType seal)

##### Parameters

Type | Name | Description
--- | --- | ---
SealType | seal | The SealType to check for.

##### Returns

Type | Description
--- | ---
System.Boolean | If the given Seal is currently divined.